module AutomateIt # :nodoc:
  # === AutomateIt::Constants
  #
  # Various constants.
  module AutomateIt::Constants
    INSTALL_DIR = File.expand_path(File.join(File.dirname(__FILE__), "..", ".."))

    HELPERS_DIR = File.join(INSTALL_DIR, "helpers")

    # Output prefix for command execution, e.g., "** ls -la"
    PEXEC = "** "

    # Output prefix for notes, e.g., "=> Something happened"
    PNOTE = "=> "

    # Output prefix for errors, e.g., "!! Something bad happened"
    PERROR = "!! "

    # Boilerplate to add to tops of generated files, warning people not to edit
    # them directly.
    WARNING_BOILERPLATE = <<-HERE
# +---------------------------------------------------------------------+
# | WARNING: Do NOT edit this file directly or your changes will be     |
# | lost. If you need to change this file, you must incorporate your    |
# | changes into the AutomateIt project that created it. If you don't   |
# | know what this means, please talk to your system administrator.     |
# +---------------------------------------------------------------------+
#
    HERE
  end

  # Inject constants back into top, providing AutomateIt::VERSION and such.
  module_eval { include Constants }
end

